Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
cache_entry Struct Reference

## Data Fields
rb_serial_t | method_state
rb_serial_t | class_serial
ID | mid
rb_method_entry_t * | me
VALUE | defined_class

## Detailed Description

Definition at line 40 of file vm_method.c.

## Field Documentation

## ◆ class_serial

rb_serial_t cache_entry::class_serial

Definition at line 42 of file vm_method.c.

## ◆ defined_class

VALUE cache_entry::defined_class

Definition at line 45 of file vm_method.c.

## ◆ me

rb_method_entry_t* cache_entry::me

Definition at line 44 of file vm_method.c.

## ◆ method_state

rb_serial_t cache_entry::method_state

Definition at line 41 of file vm_method.c.

## ◆ mid

ID cache_entry::mid

Definition at line 43 of file vm_method.c.

The documentation for this struct was generated from the following file:

- vm_method.c